Bug 1308638 - Strings work incorrectly in hexadecimal search
Strings work incorrectly in hexadecimal search
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 11:34 EST by vvs
Modified: 2017-04-09 12:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.8.19-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-09 12:47:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2016-02-15 11:34:06 EST
Description of problem:

The strings in hexadecimal search work differently than described in the docs.

Version-Release number of selected component (if applicable):

mc-4.8.14-2

How reproducible:

Always

Steps to Reproduce:
1. echo thisisatest >test.txt
2. open test.txt in internal viewer in hexadecimal mode
3. search for a string "this" using hexadecimal mode
4. now search for a string "thi" 0x73

Actual results:

In the first case the string was cut by omitting the last character.
In the second case the string was not found.

Expected results:

It should find both strings according to docs.

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 10:35:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Yury V. Zaytsev 2017-01-15 14:15:12 EST
Should be fixed in current master; testing appreciated.

Note You need to log in before you can comment on or make changes to this bug.